Skip to main content
POST
/
admin
/
views
/
{entity}
/
configurations
cURL
curl -X POST '{backend_url}/admin/views/{entity}/configurations' \
-H 'Authorization: Bearer {jwt_token}' \
-H 'Content-Type: application/json' \
-d '{
  "is_system_default": true,
  "name": "Custom View"
}'
{
  "view_configuration": {
    "id": "<string>",
    "entity": "<string>",
    "name": "<string>",
    "user_id": "<string>",
    "is_system_default": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "configuration": {
      "visible_columns": [
        "<string>"
      ],
      "column_order": [
        "<string>"
      ],
      "column_widths": {},
      "filters": {},
      "sorting": {
        "id": "<string>",
        "desc": true
      },
      "search": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entity
string
required

The entity to create its view configuration (for example, orders).

Body

application/json

The details of a view configuration to create.

is_system_default
boolean

Whether the view is the system default. If so, it will be used as the default view for all users that don't have a custom active view set.

set_active
boolean

Whether the view is set as active.

configuration
object

The view's configuration.

name
string

The view's name.

Response

OK

The details of a view configuration.

view_configuration
object
required

The details of a view configuration.